> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bison.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kalshi Positions

<Info>
  To avoid ambiguity, we denote the smallest possible multiple of USDC (0.000001 USDC) as one `uusdc`,
  which stands for µUSDC (micro-USDC), and denote the smallest possible multiple of a contract (0.01 contract)
  as one `ccontract` (centicontract).

  User-facing USDC balances are specified as fixed-point strings (e.g. `"1.2625"` for USDC). Contract quantities
  in the API and SDK are specified as integer `ccontracts` strings (e.g. `"1050"` for 10.50 contracts at precision 2).
</Info>


## OpenAPI

````yaml GET /kalshi/positions
openapi: 3.0.0
info:
  version: 1.0.0
  title: Bison API
servers: []
security: []
paths:
  /kalshi/positions:
    get:
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: Ethereum address of the user
            example: '0x1234567890123456789012345678901234567890'
          required: true
          description: Ethereum address of the user
          name: userId
          in: query
      responses:
        '200':
          description: Successfully retrieved positions
          content:
            application/json:
              schema:
                type: object
                properties:
                  positions:
                    type: array
                    items:
                      type: object
                      properties:
                        positionId:
                          type: string
                        userId:
                          type: string
                        marketId:
                          type: string
                        side:
                          type: string
                          enum:
                            - 'yes'
                            - 'no'
                        ccontracts:
                          type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - positionId
                        - userId
                        - marketId
                        - side
                        - ccontracts
                        - createdAt
                        - updatedAt
                required:
                  - positions
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````